#ifndef __XMODEM_H__
#define __XMODEM_H__

#define BYTES 200
#define NAK 0x15
#define ACK 0x06
#define EOT 0x04
#define SOH 0x01

static uint8_t retry_count;
static uint32_t csum;
static uint32_t seq;

static void purge(void);
uint8_t send_nack(void);
void send_ack(void);
uint8_t read_byte(void);
uint8_t check_packet_number(void);
uint8_t checksum(uint8_t buff[]);
uint8_t *xreceive(uint8_t buff[]);

#endif
