#ifndef __MICRODELAY_H__
#define __MICRODELAY_H__

#include <stdint.h>

/* Timer registers */
#define TIMER32_BASE 0x40014000
#define TMR32B0TCR (TIMER32_BASE + 0x004)
#define TMR32B0MCR (TIMER32_BASE + 0x014)
#define TMR32B0MR0 (TIMER32_BASE + 0x018)
#define SYSPLLCLKSEL  0x40048040
#define MAINCLKSEL    0x40048070
#define SYSAHBCLKCTRL 0x40048080
#define RWDELAY 3490

void microdelay_init(void);
void microdelay(uint32_t srate);

#endif
